std::chrono::utc_clock::to_sys(3)

NAME
std::chrono::utc_clock::to_sys - std::chrono::utc_clock::to_sys

Synopsis
   template< class Duration >
   static std::chrono::sys_time<std::common_type_t<Duration, (since C++20)
   std::chrono::seconds>>
   to_sys( const std::chrono::utc_time<Duration>& t );
   Converts a utc_time t to a sys_time representing the same point in time (if
   possible).
   If t represents a time point during a leap second insertion, the last representable
   value of sys_time prior to the insertion of the leap second is returned. In all
   other cases, utc_clock::from_sys(utc_clock::to_sys(t)) == t.

Return value
   A sys_time representing the same point in time as t, or the last representable value
   prior to the insertion of the leap second if t represents a time point during a leap
   second insertion.

See also
   from_sys converts sys_time to utc_time
   [static] (public static member function)
   clock_cast convert time points of one clock to another
   (C++20) (function template)